﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using nMail;

namespace csmail
{
    public partial class FormWrite : Form
    {
        private string Host = "";
        private int SmtpPort = nMail.Smtp.StandardPortNo;
        private int SmtpSsl = 0;
        private int SmtpAuth = nMail.Smtp.AuthNotUse;
        private string FromAddress = "";
        private string SmtpId = "";
        private string SmtpPassword = "";

        public FormWrite()
        {
            InitializeComponent();
        }

        private void buttonSend_Click(object sender, EventArgs e)
        {
            if (textTo.Text == "")
            {
                MessageBox.Show("宛先を入力してください", "csmail", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            if (textSubject.Text == "")
            {
                MessageBox.Show("件名を入力してください", "csmail", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            using (nMail.Smtp smtp = new nMail.Smtp(Host))
            {
                try
                {
                    smtp.SSL = SmtpSsl;
                    smtp.Connect(SmtpPort);
                    smtp.Authenticate(SmtpId, SmtpPassword, SmtpAuth);
                    smtp.SendMail(textTo.Text, FromAddress, textSubject.Text, textBody.Text);
                    smtp.Close();

                    MessageBox.Show("メールを送信しました", "csmail");
                    Close();
                }
                catch (nMailException nex)
                {
                    MessageBox.Show(String.Format("{0:d}", nex.ErrorCode));
                }
                catch (Exception ex)
                {
                    Debug.WriteLine(ex.Message);
                }
            }
        }
        public string HostName
		{
			set
			{
				Host = value;
			}
		}

		public int PortNo
		{
			set
			{
				SmtpPort = value;
			}
		}

		public int SSL
		{
			set
			{
				SmtpSsl = value;
			}
		}

		public int Auth
		{
			set
			{
				SmtpAuth = value;
			}
		}

		public string From
		{
			set
			{
				FromAddress = value;
			}
		}

		public string Id
		{
			set
			{
				SmtpId = value;
			}
		}

		public string Password
		{
			set
			{
				SmtpPassword = value;
			}
		}
    }
}
